import*as React from'react';import {Helmet}from'react-helmet';/**
 * @description Plain`CounterView` component without any data dependency.
 */
const CounterView = ({ loading, counter, addCounter, counterState, addCounterState, onReduxIncrement, reduxCount, getCounterLoading, addCounterWs, getCounter, syncCachedCounter, cachedData, }) => {
    const renderMetaData = () => (React.createElement(Helmet, null,
        React.createElement("title", null, "Counter"),
        React.createElement("meta", { name: "description", content: "Counter example page" })));
    if (loading) {
        return (React.createElement("div", null,
            renderMetaData(),
            React.createElement("div", { className: "text-center" }, "Loading Page...")));
    }
    else {
        return (React.createElement("div", null,
            renderMetaData(),
            React.createElement("section", null,
                React.createElement("p", null,
                    "Current counter, is ",
                    counter.amount,
                    " and cached data. This is being stored server-side in the database and using Apollo subscription for real-time updates."),
                React.createElement("button", { id: "graphql-button", color: "primary", onClick: addCounter(1) }, "Click to increase counter"),
                React.createElement("button", { id: "graphql-button", color: "primary", onClick: () => addCounterWs({ variables: { amount: 1 } }) }, "Click to increase counter via websocket")),
            React.createElement("section", null,
                React.createElement("p", null,
                    "Get Counter Cache",
                    getCounterLoading ? "Loading Counter Data..." : cachedData ? React.createElement("span", { style: { fontStyle: 'bold' } },
                        " ",
                        cachedData.counterCache.amount) : null,
                    React.createElement("br", null),
                    React.createElement("button", { id: "get-cached-counter", onClick: () => getCounter() }, "Click to get cached counter"),
                    React.createElement("button", { id: "sync-cached-counter", onClick: () => syncCachedCounter() }, "Synch Counter with Cache"))),
            React.createElement("section", null,
                React.createElement("p", null,
                    "Current reduxCount, is ",
                    reduxCount,
                    ". This is being stored client-side with Redux."),
                React.createElement("button", { id: "redux-button", color: "primary", onClick: onReduxIncrement(1) }, "Click to increase reduxCount")),
            React.createElement("section", null,
                React.createElement("p", null,
                    "Current apolloLinkStateCount, is ",
                    counterState,
                    ". This is being stored client-side with Apollo Link State."),
                React.createElement("button", { id: "apollo-link-button", color: "primary", onClick: addCounterState(1) }, "Click to increase apolloLinkState"))));
    }
};export{CounterView as default};//# sourceMappingURL=CounterView.js.map
